package ru.yandex.autotests.direct.web.objects.banners;

import java.util.List;

/**
 * Created by aleran on 17.09.2015.
 */
public class GroupMobileInfoWeb {
    private String storeContentHref;
    private List<String> deviceTypeTargeting;
    private List<String> networkTargeting;
    private String OSModel;

    public String getStoreContentHref() {
        return storeContentHref;
    }

    public void setStoreContentHref(String storeContentHref) {
        this.storeContentHref = storeContentHref;
    }

    public List<String> getDeviceTypeTargeting() {
        return deviceTypeTargeting;
    }

    public void setDeviceTypeTargeting(List<String> deviceTypeTargeting) {
        this.deviceTypeTargeting = deviceTypeTargeting;
    }

    public List<String> getNetworkTargeting() {
        return networkTargeting;
    }

    public void setNetworkTargeting(List<String> networkTargeting) {
        this.networkTargeting = networkTargeting;
    }

    public String getOSModel() {
        return OSModel;
    }

    public void setOSModel(String OSModel) {
        this.OSModel = OSModel;
    }

    public GroupMobileInfoWeb withStoreContentHref(String storeContentHref){
        this.storeContentHref = storeContentHref;
        return this;
    }
}
